%define name 	spectrum3d
%define version 1.1.0
%define release %mkrel 1

Summary: 	3D Audio Spectrum Analyser in Real Time for Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Sound
URL:		http://sourceforge.net/projects/%{name}/
Source0: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel, libSDL_ttf-devel
Requires:	gstreamer0.10-plugins-bad, gstreamer0.10-plugins-ugly

%description
Spectrum3d is a software for Linux that displays the harmonics 
of the sound in 3D. It is multitouch and compatible with JACK. 
It uses OpenGL, SDL, Gstreamer, Gtk+ and uTouch-Geis.


%prep
%setup -q

%build
./configure
make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
Comment=3D Audio Spectrum Analyser
Exec=spectrum3d
Icon=/usr/share/pixmaps/launchy.png
Name=Spectrum 3D
StartupNotify=true
Terminal=false
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%_bindir/spectrum3d
%_datadir/applications/spectrum3d.desktop
%_datadir/fonts/FreeSans.ttf
%_iconsdir/spectrum3d.svg

%changelog

* Thu Sep 01 2016 max_tre2000 <max_tre2000> 1.1.0-1uplos2016
- rebuild

* Tue Nov 15 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 1.1.0-1_archie_2011
- Initial build for PCLinuxOS x86_64
